#include "main.h"
#include "Help.h"


void Help::help() {
    printf("\nImageStack is a stack language for manipulating images. It\n"
           "is appropriate for use on the command line and in scripts.\n"
           "Internally, all data is stored as 32 bit floating point, so\n"
           "ImageStack is good for high dynamic range data. ImageStack\n"
           "is also useful for low dynamic range data, which it treats as\n"
           "values between 0 and 1.\n\n");

    printf("-help provides help on a given operation.\n"
           "Eg: ImageStack -help scale\n\n");

    printf("Operations available are:\n");

    OperationMapIterator i;

    for (i = operationMap.begin(); i != operationMap.end(); ++i) {
        printf(i->first.c_str());
        printf(" ");
    }
    printf("\n");
}


void Help::parse(vector<string> args) {
    if (args.size() < 1) {
        help();
    } else {
        string opname = '-' + args[0];
        OperationMapIterator op = operationMap.find(opname);
        if (op == operationMap.end())
            printf("No such operation \"%s\"\n", args[0].c_str());
        else op->second->help();
    }
}
